describe('Gestion Test', () => {
    beforeEach(() => {
      cy.visit('http://localhost:3000/')
      cy.get('input[name=email]').type("admin@admin.com")
      cy.get('input[name=password]').type(`${'admin'}{enter}`)
      
    })
    it('Gestion : TG01', () => {
      cy.url().should('eq', 'http://localhost:3000/dashboard')
      cy.get('a[href="/dashboard"').click()
      cy.url().should('eq', 'http://localhost:3000/dashboard')
      
    })
    it('Gestion : TG02', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=store]').should('have.value', '2')
    })
    it('Gestion : TG03', () => {
      cy.get('select[name=section]').select('Tennis')
      cy.get('select[name=section]').should('have.value', '4')
    })
    it('Gestion : TG04', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=store]').should('have.value', '2')
      cy.get('select[name=section]').select('Tennis')
      cy.get('select[name=section]').should('have.value', '4')
    })
    it('Gestion : TG05', () => {
      cy.get('a[href="/item/createItem"]').click()
      cy.url().should('eq','http://localhost:3000/item/createItem')
    })
    it('Gestion : TG06', () => {
      cy.get('a[href="/item/createItem"]').click()
      cy.url().should('eq','http://localhost:3000/item/createItem')
      cy.get('input[name=ref]').type("7B")
      cy.get('input[name=name]').type("Raquette")
      cy.get('input[name=quantity]').type(4)
      cy.get('input[name=price]').type(45)
      cy.get('select[name=selectSection]').select('Tennis')
      cy.get('select[name=selectShop]').select('Décathlon - Tours Nord')
      cy.get('input[class="btn btn-block btn-success"]').click()
      cy.url().should('eq','http://localhost:3000/dashboard')
    })
    it('Gestion : TG07', () => {
      cy.get('a[href="/item/createItem"]').click()
      cy.url().should('eq','http://localhost:3000/item/createItem')
      cy.get('input[name=ref]').type("7B")
      cy.get('input[name=name]').type(" ")
      cy.get('input[name=quantity]').type(4)
      cy.get('input[name=price]').type(45)
      cy.get('select[name=selectSection]').select('Tennis')
      cy.get('select[name=selectShop]').select('Décathlon - Tours Nord')
      cy.get('input[class="btn btn-block btn-success"]').click()
      cy.get('div[class="alert alert-danger mt-2"]').should('be.visible')
    })
    it('Gestion : TG08', () => {
      cy.get('a[href="/item/createItem"]').click()
      cy.url().should('eq','http://localhost:3000/item/createItem')
      cy.get('input[name=ref]').type("7B")
      cy.get('input[name=name]').type("Raquette")
      cy.get('input[name=quantity]').type(4)
      cy.get('input[name=price]').type("Bonjour")
      cy.get('select[name=selectSection]').select('Tennis')
      cy.get('select[name=selectShop]').select('Décathlon - Tours Nord')
      cy.get('input[class="btn btn-block btn-success"]').click()
      cy.get('div[class="alert alert-danger mt-2"]').should('be.visible')
    })
    it('Gestion : TG09', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=section]').select('Tennis')
      cy.get('a[class="btn btn-block btn-success"]').last().click()
      cy.url().should('eq','http://localhost:3000/item/edit/7B/?name=Raquette&price=45&quantity=4&shop=2&section=4')

    })
    it('Gestion : TG10', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=section]').select('Tennis')
      cy.get('a[class="btn btn-block btn-success"]').last().click()
      cy.get('input[name=price]').clear().type(45)
      cy.get('select[name=selectShop]').select('Décathlon - Tours Nord')
      cy.get('button[class="btn btn-block btn-success"]').click()
      cy.url().should('eq','http://localhost:3000/dashboard')
      
    })
    it('Gestion : TG11', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=section]').select('Tennis')
      cy.get('a[class="btn btn-block btn-success"]').last().click()
      cy.get('input[name=name]').clear().type(" ")

      cy.get('button[class="btn btn-block btn-success"]').click()
      cy.get('div[class="alert alert-danger mt-2"]').should('be.visible')
    })
    it('Gestion : TG12', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=section]').select('Tennis')
      cy.get('a[class="btn btn-block btn-success"]').last().click()
      cy.get('input[name=price]').clear().type("bonjour")
      cy.get('button[class="btn btn-block btn-success"]').click()
      cy.get('div[class="alert alert-danger mt-2"]').should('be.visible')
    })
    it('Gestion : TG13', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=section]').select('Tennis')
      cy.get('a[class="btn btn-block btn-success"]').last().click()
      cy.url().should('eq','http://localhost:3000/item/edit/7B/?name=Raquette&price=45&quantity=4&shop=2&section=4')
    })
    it('Gestion : TG14', () => {
      cy.get('select[name=store]').select('Décathlon - Tours Nord')
      cy.get('select[name=section]').select('Tennis')
      cy.get('a[class="btn btn-block btn-success"]').last().click()
      cy.get('button[class="btn btn-block btn-danger"]').click()
      cy.url().should('eq','http://localhost:3000/dashboard')
    })
  })